names(labkey.data)

#install.packages(c("Cairo"), repos="http://cran.r-project.org" )
#library(Cairo);
#Cairo(file="${imgout:labkeyl_cairo.png}", type="png");
png(filename="${imgout:labkeyl}", width = 650, height = 480);

options(echo=TRUE);
lct <- Sys.getlocale("LC_TIME"); Sys.setlocale("LC_TIME", "C")
labkey.data$date<-as.POSIXct(strptime(labkey.data$date, "%Y-%m-%d"))

cohort1<-subset(labkey.data, datasets_demographics_hivstatus =='HIV Positive')
cohort2<-subset(labkey.data, datasets_demographics_hivstatus =='HIV Negative')

x1=cohort1$cd4
y1=cohort1$whitebloodcount
plot(x1, y1, ylab="Total Lymphocytes (cells/mm3)", xlab="CD4+ (cells/mm3)", main="Lymphocytes / CD4", ylim=range(labkey.data$whitebloodcount), xlim=range(labkey.data$cd4), pch=20, col="red") 

# fit a line to the points
if (length(x1) > 0) {
	fit1 <- lm(y1 ~ x1) 
	summary(fit1) 
	abline(fit1, col="red")
}

x2=cohort2$cd4
y2=cohort2$whitebloodcount
points(x2, y2, pch=20, col="blue") 

# fit a line to the points
if (length(x2) > 0) {
	fit2 <- lm(y2 ~ x2) 
	summary(fit2) 
	abline(fit2, col="blue")
}

legend("topleft", c("HIV Negative Group", "HIV Positive Group"), col=c("blue","red"), pch=c(15, 15));